
rem *** Animations ***
animationSystem.createAnimation Objects/Weapons/stationary/eu_sentrygun/animations/sentry_gun_die.baf
animationManager.looping 0
animationManager.length 1.7
animationSystem.createAnimation Objects/Weapons/stationary/eu_sentrygun/animations/sentry_gun_fire.baf
animationManager.length 0.375
animationSystem.createAnimation Objects/Weapons/stationary/eu_sentrygun/animations/sentry_gun_open.baf
animationManager.looping 0
animationSystem.createAnimation Objects/Weapons/stationary/eu_sentrygun/animations/sentry_gun_stand.baf

rem *** Bundles ***
animationSystem.createBundle dead
animationBundle.isLooping 0
animationBundle.fadeInTime 0.3
animationBundle.fadeOutTime 0
animationBundle.playForever 1
animationBundle.addAnimation Objects/Weapons/stationary/eu_sentrygun/animations/sentry_gun_die.baf

animationSystem.createBundle fire
animationBundle.fadeInTime 0.5
animationBundle.fadeOutTime 0.5
animationBundle.addAnimation Objects/Weapons/stationary/eu_sentrygun/animations/sentry_gun_fire.baf

animationSystem.createBundle open
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime 0
animationBundle.stickAround 0.1
animationBundle.addAnimation Objects/Weapons/stationary/eu_sentrygun/animations/sentry_gun_open.baf

animationSystem.createBundle stand
animationBundle.fadeInTime 0.3
animationBundle.fadeOutTime 0
animationBundle.addAnimation Objects/Weapons/stationary/eu_sentrygun/animations/sentry_gun_stand.baf


rem *** Triggers ***
animationSystem.createTrigger Trigger dead
animationTrigger.addBundle dead

animationSystem.createTrigger Trigger open
animationTrigger.addBundle open

animationSystem.createTrigger Trigger fire
animationTrigger.addBundle fire

animationSystem.createTrigger Trigger stand
animationTrigger.addBundle stand

animationSystem.createTrigger SwitchMessageTrigger still
animationTrigger.addChild fire
animationTrigger.addChild stand
animationTrigger.message 1

animationSystem.createTrigger CountTrigger idle
animationTrigger.addChild open
animationTrigger.addChild still

animationSystem.createTrigger SwitchMessageTrigger alive
animationTrigger.addChild dead
animationTrigger.addChild idle
animationTrigger.message 32

animationSystem.createTrigger Trigger root
animationTrigger.addChild alive

animationSystem.createTrigger Trigger completeTree
animationTrigger.addChild root

