
rem *** Animations ***
animationSystem.createAnimation Objects/vehicles/us_ag/animations/us_ag_engine.baf
animationManager.looping 0
animationSystem.createAnimation Objects/vehicles/us_ag/animations/us_ag_engine_off.baf
animationSystem.createAnimation Objects/vehicles/us_ag/animations/us_ag_in.baf
animationManager.looping 0
animationSystem.createAnimation Objects/vehicles/us_ag/animations/us_ag_inPose.baf
animationSystem.createAnimation Objects/vehicles/us_ag/animations/us_ag_out.baf
animationManager.looping 0
animationSystem.createAnimation Objects/vehicles/us_ag/animations/us_ag_outPose.baf

rem *** Bundles ***
animationSystem.createBundle engineout
animationBundle.isLooping 0
animationBundle.fadeInTime 1
animationBundle.fadeOutTime 1
animationBundle.addAnimation Objects/vehicles/us_ag/animations/us_ag_engine.baf

animationSystem.createBundle in
animationBundle.isLooping 0
animationBundle.addAnimation Objects/vehicles/us_ag/animations/us_ag_in.baf

animationSystem.createBundle inpose
animationBundle.fadeInTime 0
animationBundle.fadeOutTime 0
animationBundle.addAnimation Objects/vehicles/us_ag/animations/us_ag_inPose.baf

animationSystem.createBundle out
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime 0
animationBundle.addAnimation Objects/vehicles/us_ag/animations/us_ag_out.baf

animationSystem.createBundle outpose
animationBundle.fadeInTime 0
animationBundle.fadeOutTime 0
animationBundle.addAnimation Objects/vehicles/us_ag/animations/us_ag_outPose.baf

animationSystem.createBundle unmanned
animationBundle.fadeInTime 1
animationBundle.fadeOutTime 1
animationBundle.addAnimation Objects/vehicles/us_ag/animations/us_ag_engine_off.baf


rem *** Triggers ***
animationSystem.createTrigger Trigger inpose
animationTrigger.addBundle inpose

animationSystem.createTrigger Trigger outpose
animationTrigger.addBundle outpose

animationSystem.createTrigger SwitchMessageTrigger manned
animationTrigger.addChild inpose
animationTrigger.addChild outpose
animationTrigger.addBundle in
animationTrigger.message 64

animationSystem.createTrigger Trigger unmanned
animationTrigger.addBundle unmanned

animationSystem.createTrigger SwitchMessageTrigger root
animationTrigger.addChild manned
animationTrigger.addChild unmanned
animationTrigger.addBundle engineout
animationTrigger.message 2048

animationSystem.createTrigger Trigger completeTree
animationTrigger.addChild root

